# Uses of Interface
com.sun.mirror.declaration.ClassDeclaration

Packages that use ClassDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ClassDeclaration in com.sun.mirror.declaration

Subinterfaces of ClassDeclaration in com.sun.mirror.declaration
Modifier and Type
Interface
Description
`interface`
`EnumDeclaration`
Represents the declaration of an enum type.
Methods in com.sun.mirror.declaration that return types with arguments of type ClassDeclaration
Modifier and Type
Method
Description
`Collection<ClassDeclaration>`
PackageDeclaration.`getClasses()`
Returns the declarations of the top-level classes in this package.

## Uses of ClassDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return ClassDeclaration
Modifier and Type
Method
Description
`ClassDeclaration`
ClassType.`getDeclaration()`
Returns the declaration of this type.

## Uses of ClassDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type ClassDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitClassDeclaration(ClassDeclaration d)`
Visits a class declaration.
`void`
SimpleDeclarationVisitor.`visitClassDeclaration(ClassDeclaration d)`
Visits a class declaration.